Subject: bug#66737: 30.0.50; Unexpected combination of double quote and acute accent

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Oct 2023 11:43:26 +0300

> From: Markus Triska <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 26 Oct 2023 10:27:35 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Try another font.  On my system, the display is like you expect.
> >
> > If you go to the letter I and type "C-u C-x =", what does Emacs say in
> > the *Help* buffer?
> 
> Please find the buffer content below.

This says that Emacs did display the diaeresis, the acute accent, and
Ι as a single grapheme:

>               display: composed to form "Ϊ́" (see below)
> 
> Composed with the following character(s) "̈́" using this font:
>   ftcrhb:-PfEd-DejaVu Sans Mono-regular-normal-normal-*-20-*-*-*-m-0-iso10646-1
> by these glyphs:
>   [0 2 921 760 12 1 11 18 0 nil]
>   [0 2 776 649 12 4 10 16 -12 [0 0 0]]
> with these character(s):
>   ̈ (#x308) COMBINING DIAERESIS
>   ́ (#x301) COMBINING ACUTE ACCENT

So now I don't understand your original report, viz.:

> The expected appearance is: the letter Ι combined with diaeresis and
> acute accent, followed by double quote.
> 
> Instead, I see: the letter I combined with diaeresis, followed by
> double quote combined with acute accent.

How do you see that the acute accent is combined with the double
quote?  Emacs, above, says it's combined with Ι and the diaeresis, not
with the double quote.